/*
* файл стилей для странйицы каталога нашей продукции
* подключается в файле /local/includes/nasha_produktsiya.php
*/

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --color-accent: #0077FF;
    --color-dark: #181D23;
    --color-light: #FFFFFF;
    --base-radius: 20px;
    --sm-radius: 10px;
    --fs-h1: clamp(28px, 8.2vw, 36px);
    --fw-heading: 600;
    --bg-dark: #181D23;
    --bg-light: #FFFFFF;
    --padding-base: 25px;
    --gap-base: 20px;
    --color-hover: rgb(0, 119, 255, 0.8);
}

/*плавная прокрутка скролла*/
html {
    scroll-behavior: smooth;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol,
li,
blockquote,
.row>* {
    margin: 0;
    padding: 0;
    line-height: var(--bs-line-height);
}


/*весь основной контент страницы*/
.content-container {
    width: 100vw;
    margin-left: calc(-50vw + 50%);
    padding: 20px;
    padding-top: 40px;
    color: var(--color-dark);
}

.container {
    width: 1320px;
    margin: 0 auto;
}

/* Общий класс для всех блоков */
.block {
    margin: 0 auto;
    margin-bottom: 80px;
}

.container.mb-5 {
    margin-bottom: 0 !important;
}

footer.mt-5 {
    margin-top: 0 !important;
}

.bg-accent {
    background-color: var(--color-accent);
}

/*ховер акцентного цвета*/
.bg-hover-accent:hover {
    background-color: var(--color-hover) !important;
    color: var(--color-light) !important;
}

/*обложка - первый блок*/
.cover__block {
    grid-template-columns: 547px 733px;
    gap: var(--gap-base);
}

.cover__content {
    padding: var(--padding-base);
    background-color: var(--bg-light);
    border-radius: var(--base-radius);
}

.cover__title {
    font-size: var(--fs-h1);
    font-weight: var(--fw-heading);
}

.cover__subtitle {
    font-size: 16px;
    line-height: 18px;
}

.cover__list {
    border-radius: var(--base-radius);
}

.cover__item-text {
    font-size: 14px;
    line-height: 16px;
}

.cover__sections {
    grid-template-columns: repeat(4, 1fr);
    gap: var(--gap-base);
}

.cover__section-item {
    padding: 35px 15px;
    background-color: var(--color-light);
    border-radius: var(--base-radius);
    transition: box-shadow .2s ease, transform .2s ease;
}

.cover__section-item:hover {
    box-shadow: 0 4px 12px rgba(0, 0, 0, .08);
}

.cover__section-name {
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
}

.product-list__section-name {
    padding: 10px 35px;
    background-color: var(--color-light);
    font-size: 24px;
    line-height: 26px;
}

.product-list__cards {
    grid-template-columns: repeat(4, 1fr);
    gap: var(--gap-base);
}

.product-card {
    height: 390px;
    padding: 25px;
    background-color: var(--color-light);
    border-radius: var(--base-radius);
}

.product-card__image-wrap {
    height: 170px;
}

.product-card__name {
    font-size: 18px;
    line-height: 21px;
    font-weight: 500;
}

.product-card__btn {
    height: 41px;
    border-radius: var(--sm-radius);
    font-size: 14px;
    line-height: 16px;
    font-weight: 500;
}

@media (max-width: 1300px) {
    .product-list__cards {
        grid-template-columns: repeat(3, 1fr)
    
}

@media (max-width: 767px) {
    :root {
        --gap-base: 15px;
        --padding-base: 20px;
    }
    
    .container {
        width: 100%;
        padding: 0;
    }
    
    .block {
        margin-bottom: 40px;
    }
    
    .cover__subtitle {
        width: 100% !important;
    }
    
    .cover__item-text {
        width: 100% !important;
        font-size: 12px;
        line-height: 14px;
        font-weight: 500;
    }
    
    .cover__section-item {
        padding: 6px 12px 6px 20px;
        border-radius: 15px;
    }
    
    .cover__section-image {
        max-height: 55px;
    }
    
    .product-list__section {
        gap: 20px !important
    }
    
    .product-list__section-name {
        display: flex;
        align-items: center;
        gap: 3px;
        padding: 0 0 0 20px;
        font-size: 16px;
        line-height: 18px;
        background-color: transparent;
    }
    
    .product-list__section-name::after {
        content: "";
        flex: 1;
        height: 1px;
        background: #000000;
    }
    
    .product-list__cards {
        grid-template-columns: repeat(2, 1fr)
    }
    
    .product-card {
        padding: 15px 25px;
        height: 200px;
        border-radius: 10px;
    }
    
    .product-card__image {
        max-width: 119px;
        max-height: 90px;
    }
    
    .product-card__name {
        font-size: 10px;
        line-height: 11px;
    }
    
    .product-card__btn {
        height: 26px;
        font-size: 8px;
        border-radius: 5px;
    }
}